net.minecraft.world.item.ItemStack
com.mna.interop.jei.ingredients.ManaweavePatternIngredient
net.minecraftforge.fluids.FluidStack
slimeknights.mantle.recipe.ingredient.EntityIngredient$EntityInput
voltaic.api.gas.GasStack
